# $Revision: 1.38 $, $Date: 2010/11/16 08:22:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Socket
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - network socket interface
Summary(pl.UTF-8):	%{_pearname} - interfejs gniazd sieciowych
Name:		php-pear-%{_pearname}
Version:	1.0.10
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9e5512c211742874628e392db0548222
URL:		http://pear.php.net/package/Net_Socket/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_Socket to klasa z interfejsem do gniazd TCP. Umożliwia operacje
blokujące i nieblokujące, z różnymi trybami odczytu i zapisu
(bajtowym, blokowym, liniowym i specjalnymi formatami, jak bajty w
kolejności adresów sieciowych).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Socket.spec,v $
Revision 1.38  2010/11/16 08:22:40  glen
- updated to: 1.0.10

Revision 1.37  2008/07/18 21:47:04  adamg
- updated to 1.0.9

Revision 1.36  2008-01-31 12:16:09  glen
- rel 2

Revision 1.35  2007-08-26 09:33:10  adamg
- updated to 1.0.8

Revision 1.34  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.32  2006/12/19 22:59:38  arekm
- rel 4

Revision 1.31  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.30  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.29  2005/11/20 16:26:25  glen
- rel 3

Revision 1.28  2005/09/30 14:17:27  glen
- rel 2

Revision 1.27  2005/09/19 21:43:40  glen
- integer BR

Revision 1.26  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.25  2005/03/27 01:07:44  adamg
- updated to 1.0.6

Revision 1.24  2005/01/12 08:07:49  adamg
- updated to 1.0.5

Revision 1.23  2004/12/13 22:45:56  adamg
- updated to 1.0.4

Revision 1.22  2004/12/13 16:32:03  adamg
- updated to 1.0.3

Revision 1.21  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.19  2004/04/27 18:59:07  adamg
- updated to 1.0.2

Revision 1.18  2004/03/16 06:40:24  adamg
- added missing status information (it is stable)

Revision 1.17  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.16  2003/10/07 20:56:02  adamg
- do not use macros in URL

Revision 1.15  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.14  2003/05/28 08:58:46  adamg
- massive attack: added source0-md5

Revision 1.13  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/14 23:49:55  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.11  2002/09/15 10:52:42  blues
- fix in macros

Revision 1.10  2002/07/12 18:16:45  blues
- release 3 (rebuild with new rpm)
- forgotten macros

Revision 1.9  2002/07/12 11:28:29  blues
- removed not neccessary provides

Revision 1.8  2002/07/08 00:46:49  blues
- new one requires

Revision 1.7  2002/07/04 22:42:45  blues
- release 2

Revision 1.6  2002/06/30 22:17:56  blues
- small fix

Revision 1.5  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.4  2002/06/29 14:38:50  blues
- dir removed

Revision 1.3  2002/06/25 10:17:35  blues
- more macros

Revision 1.2  2002/06/24 21:27:42  qboosh
- pl description

Revision 1.1  2002/06/24 12:38:58  blues
- Net_Socket class
